Name:           sjasm
Version:        0.39
Release:        0.4.g1%{?dist}
Summary:        A z80 cross assembler

Group:          Development/Languages
License:        Artistic
URL:            http://www.xl2s.tk
Source0:        http://home.planet.nl/~realfun/%{name}39g1.zip
Patch0:         sjasm-0.39-fixmakefile.patch
Patch1:         sjasm-0.39-64bitfix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
SjASM is a two pass macro Z80 cross assembler


%prep
%setup -qcn %{name}-%{version}
%patch0 -p0
%patch1 -p0
sed -i 's/\r//' %{name}.txt


%build
make -C sjasmsrc039g1 %{?_smp_mflags} CXXFLAGS="$RPM_OPT_FLAGS -DMAX_PATH=MAXPATHLEN"


%install
rm -rf %{buildroot}
make -C sjasmsrc039g1 install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc %{name}.txt


%changelog
* Mon Aug 28 2006 Ian Chapman <packages@amiga-hardware.com> 0.39-0.4.g1%{?dist}
- Release bump for FC6 mass rebuild

* Sun Aug 20 2006 Ian Chapman <packages@amiga-hardware.com> 0.39-0.3.g1%{?dist}
- Bump release in preparation for FE migration

* Sat Aug 12 2006 Ian Chapman <packages@amiga-hardware.com> 0.39-0.2.g1%{?dist}
- Added patch for compiling on 64bit systems

* Fri Aug 11 2006 Ian Chapman <packages@amiga-hardware.com> 0.39-0.1.g1%{?dist}
- Initial Release
